aboutsummaryrefslogtreecommitdiffstats
path: root/ChibiOS_20.3.2/tools/updater/update_halconf.sh
diff options
context:
space:
mode:
authorClyne Sullivan <clyne@bitgloo.com>2021-01-22 21:43:36 -0500
committerClyne Sullivan <clyne@bitgloo.com>2021-01-22 21:43:36 -0500
commit48026bb824fd2d9cfb00ecd040db6ef3a416bae9 (patch)
treec14713aedfe78ee8b34f2e1252408782e2e2ff5d /ChibiOS_20.3.2/tools/updater/update_halconf.sh
parente080a26651f90c88176140d63a74c93c2f4041a2 (diff)
upload initial port
Diffstat (limited to 'ChibiOS_20.3.2/tools/updater/update_halconf.sh')
-rw-r--r--ChibiOS_20.3.2/tools/updater/update_halconf.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/ChibiOS_20.3.2/tools/updater/update_halconf.sh b/ChibiOS_20.3.2/tools/updater/update_halconf.sh
new file mode 100644
index 0000000..130ca5b
--- /dev/null
+++ b/ChibiOS_20.3.2/tools/updater/update_halconf.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+if [ $# -eq 2 ]
+ then
+ if [ $1 = "rootpath" ]
+ then
+ find $2 -name "halconf.h" -exec bash update_halconf.sh "{}" \;
+ else
+ echo "Usage: update_halconf.sh [rootpath <path>]"
+ fi
+elif [ $# -eq 1 ]
+then
+ declare conffile=$(<$1)
+# if egrep -q "" <<< "$conffile"
+# then
+ echo Processing: $1
+ egrep -e "\#define\s+[a-zA-Z0-9_]*\s+[a-zA-Z0-9_]" <<< "$conffile" | sed 's/\#define //g; s/ */=/g' > ./values.txt
+ if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/halconf
+ then
+ echo
+ echo "aborted"
+ exit 1
+ fi
+ cp ./halconf.h $1
+ rm ./halconf.h ./values.txt
+# fi
+else
+ echo "Usage: update_halconf.sh [rootpath <root path>]"
+ echo " update_halconf.sh <configuration file>]"
+fi